package others_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type MobilesealSignSealListRequest struct {
	// 【本次签署任务id】本次签署任务id
	SignSid string `json:"signSid"`
}

func (obj MobilesealSignSealListRequest) GetUrl() string {
	return "/mobileseal/sign/seal/list"
}

func (obj MobilesealSignSealListRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
